# wxPropertyGridIterator Class Reference
[wxPropertyGrid]

`#include </home/work/projects/wx/2.9/wx/interface/wx/propgrid/propgridpagestate.h>`

## Detailed Description

## wxPropertyGridIterator

Preferable way to iterate through contents of wxPropertyGrid, wxPropertyGridManager, and wxPropertyGridPage.

See wxPropertyGridInterface::GetIterator() for more information about usage.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions

void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property.
void | Next (bool iterateChildren=true)
| Iterate to the next property.
void | Prev ()
| Iterate to the previous property.

List of all members.

## Member Function Documentation

void wxPropertyGridIterator::Assign | ( | const wxPropertyGridIteratorBase & | it | ) |

bool wxPropertyGridIterator::AtEnd | ( |  | ) | const`[inline]`

wxPGProperty* wxPropertyGridIterator::GetProperty | ( |  | ) | const`[inline]`

Get current property.

void wxPropertyGridIterator::Next | ( | bool | iterateChildren = `true` | ) |

Iterate to the next property.

void wxPropertyGridIterator::Prev | ( |  | ) |

Iterate to the previous property.

|  | [ top ]